SELECT  /*+ opt_param('parallel_execution_enabled', 'false') */
 /* EXEC_FROM_DBMS_XPLAN */ id
     , POSITION
     , LEVEL -1 depth
     , operation
     , options
     , object_name
     , cardinality
     , bytes
     , temp_space
     , cost
     , io_ cost
     , cpu_cost
     , NULL
     , partition_start
     , partition_stop
     , object_node
     , other_tag
     , distribution
     , NULL
     , access_predicates
     , filter_predicates
     , other
     , remarks
FROM plan_table START WITH id = 0 AND TIMESTAMP >=
  (SELECT MAX(TIMESTAMP)
   FROM stats$sql_plan
   WHERE id = 0 
    AND hash_plan_value = &hash_plan_value 
    AND nvl(statement_id, ' ') NOT LIKE 'SYS_LE%'
   )
AND nvl(statement_id, ' ') NOT LIKE 'SYS_LE%' 
AND hash_plan_value = &hash_plan_value 
CONNECT BY (PRIOR id = parent_id 
            AND PRIOR nvl(statement_id, ' ') = nvl(statement_id, ' ') 
            AND PRIOR TIMESTAMP <= TIMESTAMP) OR(PRIOR nvl(object_name, ' ') LIKE 'SYS_LE%' AND PRIOR nvl(object_name, ' ') = nvl(statement_id, ' ') AND id = 0 AND PRIOR TIMESTAMP <= TIMESTAMP)
ORDER siblings BY id



438344612